library tags;

import 'dart:async';
import 'dart:html';

part 'src/builder.dart';
part 'src/html.dart';
part 'src/custom/editable_label.dart';
part 'src/custom/toggleable.dart';
part 'src/custom/toggle_button.dart';
part 'src/custom/toggle_open.dart';

bool _isCustomElementsRegistered = false;
/// Register all of the custom elements in this library.
/// 
/// This function is provided for convenience and to guard against double 
/// registration of elements.
void registerTagsCustomElements() {
  if (!_isCustomElementsRegistered) {
    _isCustomElementsRegistered = true;
    document.register(EditableLabel.TAG, EditableLabel);
    document.register(ToggleButton.TAG, ToggleButton, extendsTag: 'button');
    document.register(ToggleOpen.TAG, ToggleOpen);
  }
}
